---
title: "stack config"
description: "The stack config command description and usage"
keywords: "stack, config"
advisory: "experimental"
---

<!-- This file is maintained within the docker/docker Github
     repository at https://github.com/docker/docker/. Make all
     pull requests against that repo. If you see this file in
     another repository, consider it read-only there, as it will
     periodically be overwritten by the definitive file. Pull
     requests which include edits to this file in other repositories
     will be rejected.
-->

# stack config (experimental)

```markdown
Usage:  docker stack config [OPTIONS] STACK

Print the stack configuration

Options:
      --file   string   Path to a Distributed Application Bundle file (Default: STACK.dab)
      --help            Print usage
```

Displays the configuration of a stack.

## Related information

* [stack deploy](stack_deploy.md)
* [stack rm](stack_rm.md)
* [stack services](stack_services.md)
* [stack ps](stack_ps.md)
* [stack ls](stack_ls.md)
